https://github.com/keepassxreboot/keepassxc/commit/f9a69686b7857d4441e841e819eef177ac8b39af.patch

From f9a69686b7857d4441e841e819eef177ac8b39af Mon Sep 17 00:00:00 2001
From: Xavier Valls <xaviervallspla@gmail.com>
Date: Sun, 28 Nov 2021 12:42:08 +0100
Subject: [PATCH] bump to the C++17 standard in the build system

---
 CMakeLists.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index d8d0393f07..d8c0acc1b7 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -311,8 +311,8 @@ if(UNIX AND NOT APPLE)
     set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,-z,relro,-z,now")
 endif()
 
-add_gcc_compiler_cflags("-std=c99")
-add_gcc_compiler_cxxflags("-std=c++11")
+set(CMAKE_C_STANDARD 99)
+set(CMAKE_CXX_STANDARD 17)
 
 check_add_gcc_compiler_flag("-fsized-deallocation" CXX)
 
